cd "/Users/genovesefederica/Dropbox/GWS_replicationarchive/Code_figures/Fig1"

****************************************************************************************
use "/Users/genovesefederica/Dropbox/GWS_replicationarchive/Data/EU_Yearly_Strikes.dta", clear
****************************************************************************************

tsset _ISO3N_ year, yearly

/* Banking Crises, Debt and General Strikes (Figure 1) */

/*  General Strikes (Hamann et al), Banking Crises (Laeven and Valencia 2012) and Debt */

#delimit ;
gen crisisforplot = bankcrisislv12;
replace crisisforplot=6 if bankcrisislv12==1;

twoway (bar crisisforplot year, yaxis(1)   bcol(gs12))  (bar gen_strike year, yaxis(1)  bcol(black) barw(.5)) 
(line debtToGDP year, yaxis(2)  lpattern(dash) lcol(red))  if country!="Luxemburg",  by(country, row(2) note(" ") r2title("Debt to GDP (%)"))   
ylab(0(75)150,  axis(2))
ytitle("General strikes")
ylab(0 "0" 2 "2" 4 "4" 6 "6") 
xlab(1980 "80" 1990 "90" 2000 "00" 2010 "10")
legend(label(1 "Banking Crisis") label(2 "General Strikes") label(3 "Debt to GDP"))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(none)) saving(yearlygenstrikes_debtbycountry, replace);
#delimit cr

****************************************************************************************
/* Additional descriptive plots (not in the paper) */

/* Additional plot 1: General Strikes, Banking Crises and Interest rates  */

#delimit ;
twoway (bar crisisforplot year, yaxis(1)   bcol(gs12))  (bar gen_strike year, yaxis(1)  bcol(black) barw(.5)) 
(line interest year, yaxis(2)  lpattern(dash) lcol(red))  if country!="Luxemburg",  by(country, row(2) note(" ") r2title("Long-term Gov't Bonds Interest Rate"))   
ylab(0 "0" 15 "15" 30 "30",  axis(2))
ytitle("General strikes")
ylab(0 "0" 2 "2" 4 "4" 6 "6") 
xlab(1980 "80" 1990 "90" 2000 "00" 2010 "10")
legend(label(1 "Banking Crisis") label(2 "General Strikes") label(3 "Yearly Long-term Interest Rate"))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(none)) ;
#delimit cr

/* Additional plot 2: Economic Strikes, Banking Crises and Debt (Laeven and Valencia 2012) */
drop crisisforplot
gen crisisforplot = bankcrisislv12
replace crisisforplot=25000000 if bankcrisislv12==1

#delimit ;
twoway (bar crisisforplot year, yaxis(1)   bcol(gs12))  (line dayslost_strike year, yaxis(1)  lpattern(solid) lcol(black)) 
(line debtToGDP year, yaxis(2)  lpattern(dash) lcol(red))  if country!="Luxemburg",  by(country, row(2) note(" ") r2title("Debt to GDP"))   
ylab(0(75)150,  axis(2))
ytitle("Days lost in strikes")
ylab(0 "0" 10000000 "10000000" 20000000 "20000000") 
xlab(1980 "80" 1990 "90" 2000 "00" 2010 "10")
legend(label(1 "Banking Crisis") label(2 "Days Lost in Strikes") label(3 "Debt to GDP (%)"))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white));
#delimit cr


/* Additional plot 4: Economic Strikes, Banking Crises and Interest rates  */
#delimit ;
twoway (bar crisisforplot year, yaxis(1)   bcol(gs12))  (line dayslost_strike year, yaxis(1)  lpattern(solid) lcol(black)) 
(line interest year, yaxis(2)  lpattern(dash) lcol(red))  if country!="Luxemburg",  by(country, row(2) note(" ") r2title("Interest Rate"))   
ylab(0(15)30,  axis(2))
ytitle("Days lost in strikes")
ylab(0 "0" 10000000 "10000000" 20000000 "20000000") 
xlab(1980 "80" 1990 "90" 2000 "00" 2010 "10")
legend(label(1 "Banking Crisis") label(2 "Days Lost in Strikes") label(3 "Yearly Interest Rate"))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white)) ;
#delimit cr


