cd "/Users/genovesefederica/Dropbox/GWS_replicationarchive/Code_figures/Fig2"

***********************************************************************************************************
use "/Users/genovesefederica/Dropbox/GWS_replicationarchive/Data/EU_Yearly_Strikes.dta", clear
***********************************************************************************************************

tsset _ISO3N_ year, yearly

egen econ_strike = xtile(dayslost_strike), nquantiles(2) by(_ISO3N_)
gen dgen_strike = d.gen_strike

/* Main marginal effect  plot (Figure 2) */

/* Marginal effect of crisis on general strikes as debt changes */
ssc install coefplot, replace

xtreg dgen_strike l.gen_strike c.l.debtToGDP##c.d2.bankcrisislv12   c.l2.bankcrisislv12 c.d.debtToGDP  l.Inflation d.Inflation  l.govparty d.govparty if  year>1995 &   country!="Denmark" & country!="Sweden" & country!="UK"  , cluster(_ISO3N_)
margins, at(l.debtToGDP =(0(5)150) d2.bankcrisislv12 = (0)) post
estimates store EMU_pol1
xtreg dgen_strike  l.gen_strike c.l.debtToGDP##c.d2.bankcrisislv12   c.l2.bankcrisislv12 c.d.debtToGDP   l.Inflation d.Inflation  l.govparty d.govparty if  year>1995 &    country!="Denmark" & country!="Sweden" & country!="UK"  , cluster(_ISO3N_)
margins, at(l.debtToGDP =(0(5)150) d2.bankcrisislv12 = (1)) post
estimates store EMU_pol2

coefplot  (EMU_pol1, lpattern(solid) lcolor(gs13) ) , at ytitle(Marginal Effect of Change in Banking Crisis) xtitle(Debt To GDP) yline(0)  title("Banking Crisis==0") recast(line) lwidth(*2) ciopts(recast(rline) lpattern(dash)) plotregion(fcolor(none))   scheme(s2mono) graphregion(fcolor(none))  saving(mfx_emufull1, replace)
coefplot   (EMU_pol2, lpattern(solid) lcolor(gs13)), at ytitle(Marginal Effect of Change in Banking Crisis) xtitle(Debt To GDP) yline(0) title("Banking Crisis==1") recast(line) lwidth(*2) ciopts(recast(rline) lpattern(dash)) plotregion(fcolor(none))    scheme(s2mono) graphregion(fcolor(none))  saving(mfx_emufull2, replace)
gr combine mfx_emufull1.gph mfx_emufull2.gph, ycommon col(2) plotregion(fcolor(white)) graphregion(fcolor(white))   title(Marginal Effect of Banking Crisis on Political Strikes) subtitle(`"Dependent Variable: Change in General Strikes"' `"EMU countries"')


****************************************************************************************
/* Additional marginal effect plots (not in the paper) */

/* Marginal effect of crisis on economic strikes as debt changes */
gen decon_strike = d.econ_strike

xtreg decon_strike  l.econ_strike  c.l.debtToGDP##c.d2.bankcrisislv12   c.l2.bankcrisislv12 c.d.debtToGDP  l.Inflation d.Inflation  l.govparty d.govparty if  year>1995 &   country!="Denmark" & country!="Sweden" & country!="UK"  , cluster(_ISO3N_)
margins, at(l.debtToGDP =(0(5)150) d2.bankcrisislv12 = (0)) post
estimates store EMU_eco1
xtreg decon_strike  l.econ_strike  c.l.debtToGDP##c.d2.bankcrisislv12   c.l2.bankcrisislv12 c.d.debtToGDP  l.Inflation d.Inflation  l.govparty d.govparty if  year>1995 &    country!="Denmark" & country!="Sweden" & country!="UK"  , cluster(_ISO3N_)
margins, at(l.debtToGDP =(0(5)150) d2.bankcrisislv12 = (1)) post
estimates store EMU_eco2

coefplot  (EMU_eco1, lpattern(solid) lcolor(gs13)) , at ytitle(Marginal Effect of Change in Banking Crisis) xtitle(Debt To GDP) recast(line) lwidth(*2) ciopts(recast(rline) lpattern(dash))  scheme(s2mono) graphregion(fcolor(white))  
coefplot  (EMU_eco2, lpattern(solid) lcolor(gs13)) , at ytitle(Marginal Effect of Change in Banking Crisis) xtitle(Debt To GDP) recast(line) lwidth(*2) ciopts(recast(rline) lpattern(dash))  scheme(s2mono) graphregion(fcolor(white)) 
