cd "/Users/genovesefederica/Dropbox/GWS_replicationarchive/Code_figures/Fig3_4"

***********************************************************************************************************
use "/Users/genovesefederica/Dropbox/GWS_replicationarchive/Data/EU_Monthly_Strikes.dta", clear
***********************************************************************************************************

tsset countryn monthdate

/* Political protests before and after the Eurocrisis (Figure 3) */

/* Monthly Political Protests and Long-term Interest Rate by country */

gen polistrikes=.
replace polistrikes=numberstrikes 
replace polistrikes=0 if politicalstrike!=1
rename politicalstrike politicalstrikedummy
rename polistrikes politicalstrikes
 
#delimit ;
twoway (bar politicalstrikes timeid, yaxis(1) barw(1)  bcol(black))  (line longterm_govtbond timeid, yaxis(2)  lcol(red))  if country=="Germany"  ,     
ylab(0(10)20,  axis(2))
ytitle("Political Protests")
xtitle(" ")
xlab(37 "Jan04" 85 "Jan08"  133 "Jan12") 
title("Germany")
ytitle("Long-term Bonds Interest Rate", axis(2))
ylab(0 1 2 3) 
legend(label(1 `"Monthly"' `"Political Protests"') label(2 `"Monthly Long-term"' `"Interest Rate"'))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white)) saving(strikesintrate_ger_pol,  replace );
#delimit cr

#delimit ;
twoway (bar politicalstrikes timeid, yaxis(1) barw(1)  bcol(black))  (line longterm_govtbond timeid, yaxis(2)  lcol(red))  if country=="Greece"  ,     
ylab(0(10)20,  axis(2))
ytitle("Political Protests")
xtitle(" ")
xlab(37 "Jan04" 85 "Jan08"  133 "Jan12") 
title("Greece")
ytitle("Long-term Bonds Interest Rate", axis(2))
ylab(0 1 2 3) 
legend(label(1 `"Monthly"' `"Political Protests"') label(2 `"Monthly Long-term"' `"Interest Rate"'))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white)) saving(strikesintrate_gre_pol,  replace );
#delimit cr

#delimit ;
twoway (bar politicalstrikes timeid, yaxis(1) barw(1)  bcol(black))  (line longterm_govtbond timeid, yaxis(2)  lcol(red))  if country=="Italy"  ,     
ylab(0(10)20,  axis(2))
ytitle("Political Protests")
xtitle(" ")
xlab(37 "Jan04" 85 "Jan08"  133 "Jan12") 
title("Italy")
ytitle("Long-term Bonds Interest Rate", axis(2))
ylab(0 1 2 3) 
legend(label(1 `"Monthly"' `"Political Protests"') label(2 `"Monthly Long-term"' `"Interest Rate"'))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white)) saving(strikesintrate_ita_pol,  replace );
#delimit cr

#delimit ;
twoway (bar politicalstrikes timeid, yaxis(1) barw(1)  bcol(black))  (line longterm_govtbond timeid, yaxis(2)  lcol(red))  if country=="Spain"  ,     
ylab(0(10)20,  axis(2))
ytitle("Political Protests")
title("Spain")
xlab(37 "Jan04" 85 "Jan08"  133 "Jan12") 
xtitle(" ")
ytitle("Long-term Bonds Interest Rate", axis(2))
ylab(0 1 2 3) 
legend(label(1 `"Monthly"' `"Political Protests"') label(2 `"Monthly Long-term"' `"Interest Rate"'))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white)) saving(strikesintrate_spa_pol,  replace );

#delimit ;
twoway (bar politicalstrikes timeid, yaxis(1) barw(1)  bcol(black))  (line longterm_govtbond timeid, yaxis(2)  lcol(red))  if country=="Ireland"  ,     
ylab(0(10)20,  axis(2))
ytitle("Political Protests")
xlab(37 "Jan04" 85 "Jan08"  133 "Jan12") 
xtitle(" ")
title("Ireland")
ytitle("Long-term Bonds Interest Rate", axis(2))
ylab(0 1 2 3) 
legend(label(1 `"Monthly"' `"Political Protests"') label(2 `"Monthly Long-term"' `"Interest Rate"'))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white)) saving(strikesintrate_ire_pol,  replace );
#delimit cr

#delimit ;
twoway (bar politicalstrikes timeid, yaxis(1) barw(1)  bcol(black))  (line longterm_govtbond timeid, yaxis(2)  lcol(red))  if country=="UK"  ,     
ylab(0(10)20,  axis(2))
ytitle("Political Protests")
xlab(37 "Jan04" 85 "Jan08"  133 "Jan12") 
xtitle(" ")
title("UK")
ytitle("Long-term Bonds Interest Rate", axis(2))
ylab(0 1 2 3) 
legend(label(1 `"Monthly"' `"Political Protests"') label(2 `"Monthly Long-term"' `"Interest Rate"'))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white)) saving(strikesintrate_uk_pol,  replace );
#delimit cr

gr combine strikesintrate_gre_pol.gph strikesintrate_ger_pol.gph strikesintrate_ire_pol.gph strikesintrate_ita_pol.gph strikesintrate_spa_pol.gph strikesintrate_uk_pol.gph, ycommon col(3) plotregion(fcolor(white)) graphregion(fcolor(white))  saving(montlyintratestrikes_bycountry_pol, replace)


/* Monthly ECB Deposit Rates and Political Protests (Figure 4) */

drop if countryn==5

collapse (sum) numberstrikes (mean) ecb_depositrate , by(timeid)
drop if timeid <91 /* Drop before Sept 2008 */

#delimit ;
twoway (bar numberstrikes timeid, yaxis(1)  barw(.7) bcol(black))  (line ecb_depositrate timeid, yaxis(2)  lpattern(dash) lcol(red) sort) ,     
ylab(0(2)8, nogrid)
ylab(0 "0" 2 "2" 4 "4" 6 "6" 7 " ") 
xtitle(" ")
xline(98, lwidth(1) lpattern(dashed) lcol(gs15))
text(6.95 94.5 `"Temporary"' `"Currency"' `"Arrangements"' `""', place(e) size(vsmall))
xline(120, lwidth(1) lpattern(dashed) lcol(gs15))
text(6.95 115.5 `"Establishment"' `"of EU"' `"Risk Board"', place(e) size(vsmall))
xline(127, lwidth(1) lpattern(dashed) lcol(gs15))
text(6.95 124.5 `"EU Banks"' `"Stress Test"' `""', place(e) size(vsmall))
xline(139, lwidth(1) lpattern(dashed) lcol(gs15))
text(6.95 133.5 `"Financial Stability"' `"Review: Political"' `"Action Note"', place(e) size(vsmall))
xlab(98 "Feb09" 120 "Dec10"  127 "Jul11" 139 "Jul12") 
ytitle("Political Protests")
ytitle("ECB Deposit Interest Rate", axis(2))
legend(label(1 `"Sum of Monthly Political Protests"' `"in Germany, Greece, Ireland,"' `"Italy and Spain (excluding UK)"') label(2 `"Monthly ECB"'  `"Deposit Facility Interest Rate"' ))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white)) saving(monthlystrikes_announcrises_m, replace) ;
#delimit cr


****************************************************************************************
/* Additional descriptive plots (not in the paper) */

use "/Users/genovesefederica/Dropbox/GWS_replicationarchive/Data/EU_Monthly_Strikes.dta", clear
tsset countryn monthdate

/* Additional plot 1: Monthly Economic Strikes and Long-term Interest Rate by country   */
gen polistrikes=.
replace polistrikes=numberstrikes 
replace polistrikes=0 if politicalstrike!=1
rename politicalstrike politicalstrikedummy
rename polistrikes politicalstrikes
gen econstrikes=.
replace econstrikes=numberstrikes 
replace econstrikes=0 if economicstrike!=1
rename economicstrike economicstrikedummy
rename econstrikes economicstrikes

#delimit ;
twoway (bar economicstrikes timeid, yaxis(1) barw(1)  bcol(black))  (line longterm_govtbond timeid, yaxis(2)  lcol(red))  if country=="Germany"  ,     
ylab(0(10)20,  axis(2))
ytitle("Economic strikes")
xtitle(" ")
xlab(37 "Jan04" 85 "Jan08"  133 "Jan12") 
title("Germany")
ytitle("Long-term Bonds Interest Rate", axis(2))
ylab(0 1 2 3) 
legend(label(1 `"Monthly"' `"Economic Strikes"') label(2 `"Monthly Long-term"' `"Interest Rate"'))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white));/* saving(strikesintrate_ger_econ,  replace );*/
#delimit cr

#delimit ;
twoway (bar economicstrikes timeid, yaxis(1) barw(1)  bcol(black))  (line longterm_govtbond timeid, yaxis(2)  lcol(red))  if country=="Greece"  ,     
ylab(0(10)20,  axis(2))
ytitle("Economic strikes")
xtitle(" ")
xlab(37 "Jan04" 85 "Jan08"  133 "Jan12") 
title("Greece")
ytitle("Long-term Bonds Interest Rate", axis(2))
ylab(0 1 2 3) 
legend(label(1 `"Monthly"' `"Economic Strikes"') label(2 `"Monthly Long-term"' `"Interest Rate"'))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white));/* saving(strikesintrate_gre_econ,  replace );*/
#delimit cr

#delimit ;
twoway (bar economicstrikes timeid, yaxis(1) barw(1)  bcol(black))  (line longterm_govtbond timeid, yaxis(2)  lcol(red))  if country=="Italy"  ,     
ylab(0(10)20,  axis(2))
ytitle("Economic strikes")
xtitle(" ")
xlab(37 "Jan04" 85 "Jan08"  133 "Jan12") 
title("Italy")
ytitle("Long-term Bonds Interest Rate", axis(2))
ylab(0 1 2 3) 
legend(label(1 `"Monthly"' `"Economic Strikes"') label(2 `"Monthly Long-term"' `"Interest Rate"'))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white)) ;/*saving(strikesintrate_ita_econ,  replace );*/
#delimit cr

#delimit ;
twoway (bar economicstrikes timeid, yaxis(1) barw(1)  bcol(black))  (line longterm_govtbond timeid, yaxis(2)  lcol(red))  if country=="Spain"  ,     
ylab(0(10)20,  axis(2))
ytitle("Economic strikes")
title("Spain")
xlab(37 "Jan04" 85 "Jan08"  133 "Jan12") 
xtitle(" ")
ytitle("Long-term Bonds Interest Rate", axis(2))
ylab(0 1 2 3) 
legend(label(1 `"Monthly"' `"Economic Strikes"') label(2 `"Monthly Long-term"' `"Interest Rate"'))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white)) ;/*saving(strikesintrate_spa_econ,  replace );*/

#delimit ;
twoway (bar economicstrikes timeid, yaxis(1) barw(1)  bcol(black))  (line longterm_govtbond timeid, yaxis(2)  lcol(red))  if country=="Ireland"  ,     
ylab(0(10)20,  axis(2))
ytitle("Economic strikes")
xlab(37 "Jan04" 85 "Jan08"  133 "Jan12") 
xtitle(" ")
title("Ireland")
ytitle("Long-term Bonds Interest Rate", axis(2))
ylab(0 1 2 3) 
legend(label(1 `"Monthly"' `"Economic Strikes"') label(2 `"Monthly Long-term"' `"Interest Rate"'))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white)) ;/*saving(strikesintrate_ire_econ,  replace );*/
#delimit cr

#delimit ;
twoway (bar economicstrikes timeid, yaxis(1) barw(1)  bcol(black))  (line longterm_govtbond timeid, yaxis(2)  lcol(red))  if country=="UK"  ,     
ylab(0(10)20,  axis(2))
ytitle("Economic strikes")
xlab(37 "Jan04" 85 "Jan08"  133 "Jan12") 
xtitle(" ")
title("UK")
ytitle("Long-term Bonds Interest Rate", axis(2))
ylab(0 1 2 3) 
legend(label(1 `"Monthly"' `"Economic Strikes"') label(2 `"Monthly Long-term"' `"Interest Rate"'))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white));/* saving(strikesintrate_uk_econ,  replace );*/
#delimit cr

*gr combine strikesintrate_gre_econ.gph strikesintrate_ger_econ.gph strikesintrate_ire_econ.gph strikesintrate_ita_econ.gph strikesintrate_spa_econ.gph strikesintrate_uk_econ.gph, ycommon col(3) plotregion(fcolor(white)) graphregion(fcolor(white))  saving(montlyintratestrikes_bycountry_econ, replace)

/* Additional plot 2: Monthly Aggregated Events (Political Protests and Economic Strikes) and Long-term Interest Rate by country   */

#delimit ;
twoway  (bar politicalstrikes timeid, yaxis(1) barw(1)  bcol(gs13))  (bar economicstrikes timeid, yaxis(1) barw(1)  bcol(black)) (line longterm_govtbond timeid, yaxis(2)  lcol(red) lpattern(dash))  if country=="Germany"  ,     
ylab(0(10)20,  axis(2))
ytitle("Monthly Protests & Strikes")
xtitle(" ")
xlab(37 "Jan04" 85 "Jan08"  133 "Jan12") 
title("Germany")
ytitle("Monthly Bonds Interest Rate", axis(2))
ylab(0 1 2 3) 
legend(label(1 `"Political"' `"Protests"') label(2 `"Economic"' `"Strikes"') label(3 `"Interest"' `"Rate"'))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white));/*  saving(strikesintrate_ger_polecon,  replace );*/
#delimit cr

#delimit ;
twoway  (bar politicalstrikes timeid, yaxis(1) barw(1)  bcol(gs13))  (bar economicstrikes timeid, yaxis(1) barw(1)  bcol(black))   (line longterm_govtbond timeid, yaxis(2)  lcol(red) lpattern(dash))  if country=="Greece"  ,     
ylab(0(10)20,  axis(2))
ytitle("Monthly Protests & Strikes")
xtitle(" ")
xlab(37 "Jan04" 85 "Jan08"  133 "Jan12") 
title("Greece")
ytitle("Monthly Bonds Interest Rate", axis(2))
ylab(0 1 2 3) 
legend(label(1 `"Political"' `"Protests"') label(2 `"Economic"' `"Strikes"') label(3 `"Interest"' `"Rate"'))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white));/* saving(strikesintrate_gre_polecon,  replace );*/
#delimit cr

#delimit ;
twoway  (bar politicalstrikes timeid, yaxis(1) barw(1)  bcol(gs13))  (bar economicstrikes timeid, yaxis(1) barw(1)  bcol(black))  (line longterm_govtbond timeid, yaxis(2)  lcol(red) lpattern(dash))  if country=="Italy"  ,     
ylab(0(10)20,  axis(2))
ytitle("Monthly Protests & Strikes")
xtitle(" ")
xlab(37 "Jan04" 85 "Jan08"  133 "Jan12") 
title("Italy")
ytitle("Monthly Bonds Interest Rate", axis(2))
ylab(0 1 2 3) 
legend(label(1 `"Political"' `"Protests"') label(2 `"Economic"' `"Strikes"') label(3 `"Interest"' `"Rate"'))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white));/* saving(strikesintrate_ita_polecon,  replace );*/
#delimit cr

#delimit ;
twoway  (bar politicalstrikes timeid, yaxis(1) barw(1)  bcol(gs13))  (bar economicstrikes timeid, yaxis(1) barw(1)  bcol(black))  (line longterm_govtbond timeid, yaxis(2)  lcol(red) lpattern(dash))  if country=="Spain"  ,     
ylab(0(10)20,  axis(2))
ytitle("Monthly Protests & Strikes")
title("Spain")
xlab(37 "Jan04" 85 "Jan08"  133 "Jan12") 
xtitle(" ")
ytitle("Monthly Bonds Interest Rate", axis(2))
ylab(0 1 2 3) 
legend(label(1 `"Political"' `"Protests"') label(2 `"Economic"' `"Strikes"') label(3 `"Interest"' `"Rate"'))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white));/* saving(strikesintrate_spa_polecon,  replace );*/

#delimit ;
twoway  (bar politicalstrikes timeid, yaxis(1) barw(1)  bcol(gs13))  (bar economicstrikes timeid, yaxis(1) barw(1)  bcol(black))   (line longterm_govtbond timeid, yaxis(2)  lcol(red) lpattern(dash))  if country=="Ireland"  ,     
ylab(0(10)20,  axis(2))
ytitle("Monthly Protests & Strikes")
xlab(37 "Jan04" 85 "Jan08"  133 "Jan12") 
xtitle(" ")
title("Ireland")
ytitle("Monthly Bonds Interest Rate", axis(2))
ylab(0 1 2 3) 
legend(label(1 `"Political"' `"Strikes"') label(2 `"Economic"' `"Strikes"') label(3 `"Interest"' `"Rate"'))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white));/* saving(strikesintrate_ire_polecon,  replace );*/
#delimit cr

#delimit ;
twoway (bar politicalstrikes timeid, yaxis(1) barw(1)  bcol(gs13))  (bar economicstrikes timeid, yaxis(1) barw(1)  bcol(black))    (line longterm_govtbond timeid, yaxis(2)  lcol(red) lpattern(dash))  if country=="UK"  ,     
ylab(0(10)20,  axis(2))
ytitle("Monthly Protests & Strikes")
xlab(37 "Jan04" 85 "Jan08"  133 "Jan12") 
xtitle(" ")
title("UK")
ytitle("Monthly Bonds Interest Rate", axis(2))
ylab(0 1 2 3) 
legend(label(1 `"Political"' `"Protests"') label(2 `"Economic"' `"Strikes"') label(3 `"Interest"' `"Rate"'))
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white));/* saving(strikesintrate_uk_polecon,  replace );*/
#delimit cr

*gr combine strikesintrate_gre_polecon.gph strikesintrate_ger_polecon.gph strikesintrate_ire_polecon.gph strikesintrate_ita_polecon.gph strikesintrate_spa_polecon.gph strikesintrate_uk_polecon.gph, ycommon col(3) plotregion(fcolor(white)) graphregion(fcolor(white))  saving(montlyintratestrikes_bycountry_polecon, replace)


/* Additional plot 3: Monthly ECB Deposit Rates and Protests (Quarterly break-down) */

drop if countryn==5
collapse (sum) numberstrikes (mean) ecb_depositrate quart_govtdebt longterm_govtbond, by(quarter timeid)
drop if timeid <91 /* Drop before Sept 2008 */

#delimit ;
twoway (bar numberstrikes quarter, yaxis(1)  barw(.7) bcol(black))  ,     
ylab(0(2)8, nogrid)
ylab(0 "0" 2 "2" 4 "4" 6 "6" 7.2 " ") 
xtitle(" ")
xline(33, lwidth(1) lpattern(dashed) lcol(gs15))
text(7 32 `"Temporary"' `"Currency"' `"Arrangements"' `"(February 09)"', place(e) size(vsmall))
xline(40, lwidth(1) lpattern(dashed) lcol(gs15))
text(7 38.5 `"Establishment"' `"of EU"' `"Risk Board"' `"(December 10)"', place(e) size(vsmall))
xline(43, lwidth(1) lpattern(dashed) lcol(gs15))
text(7 42 `"EU Banks"' `"Stress Test"' `"(July 11)"', place(e) size(vsmall))
xline(48, lwidth(1) lpattern(dashed) lcol(gs15))
text(7 45.5 `"Financial Stability Review:"' `"Political Action Note"' `"(July 12)"', place(e) size(vsmall))
xlab(33 "Q1.09" 40 "Q4.10"  43 "Q3.11" 48 "Q3.12") 
ytitle("Protests & Strikes")
legend(label(1 `"Sum of Quarterly Protests and Strikes"' `"in Germany, Greece, Ireland,"' `"Italy and Spain"') )
legend(cols(3) size(small) symysize(3) span ) legend(region(lwidth(none)))
plotregion(fcolor(white)) graphregion(fcolor(white)) ;
#delimit cr
clear
