###########################################################################
## This to reproduce the analysis reported in Figure 5 in Genovese et al. ##
## "The Eurotower Strikes Back", 2015, Comparative Political Studies.    ##
###########################################################################

getwd() # Adjust directory 
mydir <- "/Users/genovesefederica/Dropbox/GWS_replicationarchive/Fig5"
setwd(mydir)

# Load packages:
library(foreign)
library(calibrate)
require(stats)
library(Hmisc)
library(MCMCpack)
library(ggplot2)
library(austin)

# Figure 5
words <- read.csv("words.graph.csv", header=T)
#plot(words$period, words$wordcount, cex = .35, xlim = c(.7, 2.4), ylab="weighted word count",  axes=F)
plot(words$period, words$wordcountrescaled, cex = 0, xlim = c(.8, 2.4), xlab = c("pre-crisis top words (Jan01-Aug08) & post-crisis top words (Sep08-Dec13)"), ylab="weighted word count",  axes=F)
axis(2, 0:6)
box()
textxy(words$period, words$wordcountrescaled,  words$words, cex=1.09)
#dev.copy(pdf,'ECBkeywords.pdf')
#dev.off()