cd "/Users/.../Dropbox/GWS_replicationarchive/Code_tables"

*log using "EU_Monthly_Strikes.log", replace

***********************************************************************************************************
use "/Users/.../Dropbox/GWS_replicationarchive/Data/EU_Monthly_Strikes.dta", clear
***********************************************************************************************************

/*  Results (Table 2) */ 

rename politicalstrike politicalstrikes
rename economicstrike economicstrikes

tsset countryn timeid
fvset base 1 countryn
fvset base 1 timeid

* timeid 92 = 08/2008 

eststo Da_1: xtreg d.politicalstrikes l.politicalstrikes c.l.ecb_depositrate c.l.ecbpressrelease_finanstab  c.d.ecb_depositrate d.ecbpressrelease_finanstab  l.unemployment_monthlyrate d.unemployment_monthlyrate l.inflation_monthlyrate d.inflation_monthlyrate l.govparty d.govparty  if   timeid>92,  cluster(countryn)
eststo Da1: xtreg d.politicalstrikes l.politicalstrikes c.l.ecb_depositrate##c.l.ecbpressrelease_finanstab c.d.ecb_depositrate##c.d.ecbpressrelease_finanstab   l.unemployment_monthlyrate d.unemployment_monthlyrate l.inflation_monthlyrate d.inflation_monthlyrate l.govparty d.govparty  if   timeid>92 ,  cluster(countryn)
eststo Da_2: xtreg d.politicalstrikes l.politicalstrikes c.l.ecb_depositrate c.l.ecbpressrelease_finanstab  c.d.ecb_depositrate d.ecbpressrelease_finanstab  l.unemployment_monthlyrate  d.unemployment_monthlyrate l.inflation_monthlyrate d.inflation_monthlyrate  l.govparty d.govparty  if  countryn!=5 &  timeid>92 ,  cluster(countryn)
eststo Da2: xtreg d.politicalstrikes l.politicalstrikes c.l.ecb_depositrate##c.l.ecbpressrelease_finanstab  c.d.ecb_depositrate##c.d.ecbpressrelease_finanstab   l.unemployment_monthlyrate d.unemployment_monthlyrate l.inflation_monthlyrate d.inflation_monthlyrate l.govparty d.govparty   if countryn!=5 &   timeid>92  ,  cluster(countryn)
esttab Da_1 Da1 Da_2 Da2, se stats(N N_g r2_w r2_o) label   star(* .1 ** .05 *** .01) b(a2) se(a2) 

* Bewley
gen interaction=ecb_depositrate*ecbpressrelease_finanstab
eststo Da_1: ivreg politicalstrikes ecb_depositrate d.ecb_depositrate ecbpressrelease_finanstab d.ecbpressrelease_finanstab d.unemployment_monthlyrate unemployment_monthlyrate d.inflation_monthlyrate inflation_monthlyrate d.govparty govparty (d.politicalstrikes = l.politicalstrikes ecb_depositrate l.ecb_depositrate ecbpressrelease_finanstab l.ecbpressrelease_finanstab l.unemployment_monthlyrate unemployment_monthlyrate l.inflation_monthlyrate inflation_monthlyrate l.govparty govparty) if timeid>92
eststo Da1: ivreg politicalstrikes dl.interaction interaction ecb_depositrate d.ecb_depositrate ecbpressrelease_finanstab d.ecbpressrelease_finanstab d.unemployment_monthlyrate unemployment_monthlyrate d.inflation_monthlyrate inflation_monthlyrate d.govparty govparty (d.politicalstrikes = l.politicalstrikes  l.interaction l.l.interaction  ecb_depositrate l.ecb_depositrate ecbpressrelease_finanstab l.ecbpressrelease_finanstab l.unemployment_monthlyrate unemployment_monthlyrate l.inflation_monthlyrate inflation_monthlyrate l.govparty govparty) if timeid>92 
eststo Da_2: ivreg politicalstrikes ecb_depositrate d.ecb_depositrate ecbpressrelease_finanstab d.ecbpressrelease_finanstab d.unemployment_monthlyrate unemployment_monthlyrate d.inflation_monthlyrate inflation_monthlyrate d.govparty govparty (d.politicalstrikes = l.politicalstrikes ecb_depositrate l.ecb_depositrate ecbpressrelease_finanstab l.ecbpressrelease_finanstab l.unemployment_monthlyrate unemployment_monthlyrate l.inflation_monthlyrate inflation_monthlyrate l.govparty govparty) if countryn!=5  &   timeid>92 
eststo Da2: ivreg politicalstrikes dl.interaction interaction ecb_depositrate d.ecb_depositrate ecbpressrelease_finanstab d.ecbpressrelease_finanstab  d.unemployment_monthlyrate unemployment_monthlyrate d.inflation_monthlyrate inflation_monthlyrate d.govparty govparty (d.politicalstrikes = l.politicalstrikes  l.interaction l.l.interaction   ecb_depositrate l.ecb_depositrate ecbpressrelease_finanstab l.ecbpressrelease_finanstab  l.unemployment_monthlyrate unemployment_monthlyrate l.inflation_monthlyrate inflation_monthlyrate l.govparty govparty) if countryn!=5  &   timeid>92 
esttab Da_1 Da1 Da_2 Da2, se stats(N N_g r2_w r2_o) label   star(* .1 ** .05 *** .01) b(a2) se(a2) 

/* ADL
eststo Da_1: xtreg politicalstrikes l.politicalstrikes ecb_depositrate l.ecb_depositrate ecbpressrelease_finanstab l.ecbpressrelease_finanstab   unemployment_monthlyrate l.unemployment_monthlyrate inflation_monthlyrate l.inflation_monthlyrate l.govparty govparty if   timeid>92 ,  cluster(countryn)
eststo Da1: xtreg politicalstrikes l.politicalstrikes ecb_depositrate c.l.ecb_depositrate##c.l.ecbpressrelease_finanstab ecbpressrelease_finanstab  unemployment_monthlyrate l.unemployment_monthlyrate inflation_monthlyrate l.inflation_monthlyrate l.govparty govparty if   timeid>92 ,  cluster(countryn)
eststo Da_2: xtreg politicalstrikes l.politicalstrikes ecb_depositrate l.ecb_depositrate ecbpressrelease_finanstab l.ecbpressrelease_finanstab   unemployment_monthlyrate l.unemployment_monthlyrate inflation_monthlyrate l.inflation_monthlyrate l.govparty govparty if countryn!=5 &   timeid>92 ,  cluster(countryn)
eststo Da2: xtreg politicalstrikes l.politicalstrikes ecb_depositrate c.l.ecb_depositrate##c.l.ecbpressrelease_finanstab ecbpressrelease_finanstab  unemployment_monthlyrate l.unemployment_monthlyrate inflation_monthlyrate l.inflation_monthlyrate l.govparty govparty if countryn!=5 &   timeid>92 ,  cluster(countryn)
*/

/* Additional analyses in the Appendix */
* Unit Root tests

gen bankingcrisis=0
replace bankingcrisis=1 if timeid==93 | timeid==94 |timeid==95 |timeid==96 |timeid==97 |timeid==98 |timeid==99 |timeid==100 

xtunitroot fisher politicalstrikes, dfuller lag(1)
xtunitroot fisher economicstrikes, dfuller lag(1)
xtunitroot fisher ecbpressrelease_finanstab, dfuller lag(1)
xtunitroot fisher ecb_depositrate, dfuller lag(1)

xtunitroot fisher unemployment_monthlyrate, dfuller lag(1)

pperron politicalstrikes if country=="Germany"
pperron politicalstrikes if country=="Greece"
pperron politicalstrikes if country=="Italy"
pperron politicalstrikes if country=="Ireland"
pperron politicalstrikes if country=="Spain"
pperron politicalstrikes if country=="UK"

egranger politicalstrikes ecb_depositrate ecbpressrelease_finanstab  unemployment_monthlyrate  inflation_monthlyrate govparty if country=="Germany", reg
egranger politicalstrikes ecb_depositrate ecbpressrelease_finanstab  unemployment_monthlyrate  inflation_monthlyrate govparty if country=="Greece", reg
egranger politicalstrikes ecb_depositrate ecbpressrelease_finanstab  unemployment_monthlyrate  inflation_monthlyrate govparty if country=="Ireland", reg
egranger politicalstrikes ecb_depositrate ecbpressrelease_finanstab  unemployment_monthlyrate  inflation_monthlyrate govparty if country=="Italy", reg
egranger politicalstrikes ecb_depositrate ecbpressrelease_finanstab  unemployment_monthlyrate  inflation_monthlyrate govparty if country=="Spain", reg


* OLS FE
eststo Da: xtreg politicalstrikes c.l.ecb_depositrate##c.l.ecbpressrelease_finanstab   l.unemployment_monthlyrate d.inflation_monthlyrate d.govparty i.countryn if   timeid>92 ,  cluster(countryn)
eststo Db: xtreg politicalstrikes c.l.ecb_depositrate##c.l.ecbpressrelease_finanstab   l.unemployment_monthlyrate l.inflation_monthlyrate l.govparty i.countryn  if countryn!=5 &   timeid>92  ,  cluster(countryn)

* No Ger and no Gree (and no UK) 
eststo D1: xtreg d.politicalstrikes l.politicalstrikes c.l.ecb_depositrate##c.l.ecbpressrelease_finanstab  c.d.ecb_depositrate##c.d.ecbpressrelease_finanstab  l.unemployment_monthlyrate d.unemployment_monthlyrate l.inflation_monthlyrate d.inflation_monthlyrate l.govparty d.govparty   if countryn!=5 & countryn!=1  & countryn!=2 ,  cluster(countryn)
eststo D2: xtreg d.politicalstrikes l.politicalstrikes c.l.ecb_depositrate##c.l.ecbpressrelease_finanstab  c.d.ecb_depositrate##c.d.ecbpressrelease_finanstab  l.unemployment_monthlyrate d.unemployment_monthlyrate l.inflation_monthlyrate d.inflation_monthlyrate l.govparty d.govparty   if countryn!=5 &  countryn!=1  & countryn!=2 & timeid>92 ,  cluster(countryn)

*log close

